Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Interface IExchangeContainer

All Known Subinterfaces:
  IExchangeCalendarContainer, IExchangeContactsContainer, IExchangeMailContainer, IExchangeTasksContainer, IWebdavCalendarContainer

public interface IExchangeContainer

Containers of this type are specific to Exchange.

Method Summary
`IAccessControl` | `getAccessControl()` Gets the access control instance for this container.
`java.io.InputStream` | `synchronize(Key[] keys, java.io.InputStream state, ISynchCallback callback)` Performs a synchronization the folder, and returns the information on the changes for the folder.

Method Detail

### synchronize

    public java.io.InputStream synchronize(Key[] keys,
                                           java.io.InputStream state,
                                           ISynchCallback callback)
                                    throws CollaborationException

  Performs a synchronization the folder, and returns the information on the changes for the folder. NOTE: they keys specified are not interpreted as "synchronize changes where these properties changed", rather "when performing synchronization, return these properties for changed items."

  Parameters:
    `keys` - the keys to return when synchronizing
    `state` - an input stream with the state information
    `callback` - the callback used to catalog changes
  Returns:
    a new synchronization state stream; not the same stream passed in
  Throws:
    `CollaborationException` - if there was an error synchronizing

### getAccessControl

    public IAccessControl getAccessControl()
                                    throws CollaborationException

  Gets the access control instance for this container.

  Returns:
    the access control
  Throws:
    `CollaborationException` - if there was an error getting the access control

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.